dhall-1.41.2: A configuration language guaranteed to terminate

Safe Haskell | Safe-Inferred
Language | Haskell2010

Dhall.Schemas

Description

This module contains the implementation of the `dhall rewrite-with-schemas` subcommand

Synopsis

- schemasCommand :: Schemas -> IO ()
- data Schemas = Schemas {
  - chosenCharacterSet :: Maybe CharacterSet
  - censor :: Censor
  - input :: Input
  - outputMode :: OutputMode
  - schemas :: Text
  }
- rewriteWithSchemas :: Expr Src Import -> Expr Src Import -> IO (Expr Src Import)
- data SchemasError = NotASchemaRecord

# Documentation

Schemas

schemasCommand :: Schemas -> IO () Source #

Implementation of the `dhall rewrite-with-schemas` subcommand

data Schemas Source #

Arguments to the `rewrite-with-schemas` subcommand

Constructors

Schemas |

Fields

- chosenCharacterSet :: Maybe CharacterSet
- censor :: Censor
- input :: Input
- outputMode :: OutputMode
- schemas :: Text

rewriteWithSchemas Source #

Arguments

:: Expr Src Import | Record of schemas
-> Expr Src Import | Expression to simplify using the supplied schemas
-> IO (Expr Src Import) |

Simplify a Dhall expression using a record of schemas

data SchemasError Source #

Errors that can be thrown by `rewriteWithSchemas`

Constructors

NotASchemaRecord |

#### Instances

Instances details

Exception SchemasError Source # |
Instance details Defined in Dhall.Schemas Methods toException :: SchemasError -> SomeException Source # fromException :: SomeException -> Maybe SchemasError Source # displayException :: SchemasError -> String Source #
Show SchemasError Source # |
Instance details Defined in Dhall.Schemas Methods showsPrec :: Int -> SchemasError -> ShowS Source # show :: SchemasError -> String Source # showList :: [SchemasError] -> ShowS Source #